﻿#language: ru

@OPC_hands

@ignore

Функционал: 06_OPC_hands.03.006 Приемка молока. Получение значение с датчиков

Сценарий: 06_OPC_hands.03.006 Загрузка сортов и поступления по качеству
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по качеству'
	Тогда открылось окно 'Приемка молока по качеству'
	И я перехожу к закладке "Параметры"
	И из выпадающего списка "Организация" я выбираю по строке 'орг'
	И из выпадающего списка "РабочийЦентр" я выбираю по строке 'пац'
	И из выпадающего списка "Номенклатура" я выбираю по строке 'молоко'
	И из выпадающего списка "ВидАнализа" я выбираю по строке 'пока'
	И из выпадающего списка "Смена" я выбираю точное значение 'Смена24'
	И в таблице "ТоварыЗаявлено" я нажимаю на кнопку с именем 'ТоварыЗаявленоДобавить'
	И в таблице "ТоварыЗаявлено" из выпадающего списка "Поставщик" я выбираю по строке 'поставщик 1'
	И в таблице "ТоварыЗаявлено" в поле 'ТТН' я ввожу текст '34435'
	И в таблице "ТоварыЗаявлено" в поле 'Вет. свидетельство' я ввожу текст '34635645'
	И в таблице "ТоварыЗаявлено" в поле 'Вес, кг' я ввожу текст '1 000,000'
	И в поле 'Автомобиль' я ввожу текст '45еру4'
	И в поле 'Водитель' я ввожу текст 'Водитель Иванов Иван'
	И я нажимаю на кнопку 'Фактические показатели секции'
	Тогда открылось окно 'Фактические показатели секции №1'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДБ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,000'
	И в таблице "Показатели" я перехожу к строке:
		| 'Показатель' |
		| 'МДЖ'        |
	И в таблице "Показатели" в поле 'Значение' я ввожу текст '3,400'
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Приемка молока по качеству *'
	И я нажимаю на кнопку 'Записать'
	Тогда открылось окно 'Приемка молока по качеству'
	И Я закрываю окно 'Приемка молока по качеству'

Сценарий: 06_OPC_hands.03.006 Приемка молока по количеству
	Дано Я подключаюсь под "Приемщик молока"
	И В командном интерфейсе я выбираю 'Производство' 'Приемка молока по количеству'
	Тогда открылось окно 'Приемка молока по количеству'
	И я перехожу к закладке с именем "ГруппаПараметрыРЦНоменклатураВидАнализа"
	И из выпадающего списка "Организация" я выбираю по строке 'орга'
	И из выпадающего списка "РабочийЦентр" я выбираю по строке 'пац'
	И я устанавливаю флаг "Использовать датчики ОПС"
	И в таблице "Датчики" я нажимаю на кнопку с именем 'ДатчикиДобавить'
	И в таблице "Датчики" я нажимаю кнопку выбора у реквизита "Датчик"
	Тогда открылось окно 'Датчики ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Танк 1 Приемка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по количеству'
	И в таблице "Датчики" я нажимаю на кнопку с именем 'ДатчикиДобавить'
	И в таблице "Датчики" я нажимаю кнопку выбора у реквизита "Датчик"
	Тогда открылось окно 'Датчики ОПС'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование'   |
		| 'Танк 2 Приемка' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по количеству'
	И я нажимаю кнопку выбора у поля "Документ"
	Тогда открылось окно 'Поступления молочного сырья'
	И в таблице "Список" я перехожу к строке:
		| 'Водитель'              | 'Рабочий центр' | 'Статус'              |
		| 'Водитель Иванов Иван'  | 'ПАЦ'           | 'Принято по качеству' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Приемка молока по количеству'
	И в таблице "СекцииФактПоКоличеству" я нажимаю на кнопку с именем "СекцииФактПоКоличествуКомандаПолучитьЗначения"
	И я жду доступности элемента "Документ" в течение 10 секунд
	И я перехожу к закладке с именем "ГруппаПараметрыРЦНоменклатураВидАнализа"
	И я снимаю флаг "Использовать датчики ОПС"
	И я закрываю окно "Приемка молока по количеству"

Сценарий: 06_OPC_hands.03.006 Закрытие клиента тестирования
	И я закрываю сеанс TESTCLIENT